Help choosing New Cios for USB Loader GX

Discussion in 'Wii - Hacking' started by Richie, Jun 30, 2013.

  1. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    Hi, sorry If this post is in the wrong place as I am new to these forums.

    Basically I can't seem to find new up to date information on what is the best cios to use for USB Loader GX or any other that supports NTFS, I have update since I last modded the wii a year ago and lost the SD card but still my issue is that USB Loader GX does not detect my games (I have tried WBFS formatted drive, FAT32 and NTFS)

    When I first had issues with USB loader I decided to use Hackmii and do a complete new update of all mods etc so I have USB Loader gx 3.0 and another usb loader and new version of homebrew.

    I can only think my issue is with the cios so I'm wondering what everyone is using now days, I noticed some older posts from 2011 talk about using Hermes v5, but it's all rather confusing as everyone says all different things on what cios should be used and many posts are old and such and its been difficult to find a good guide on exactly what ones I should use.

    Please any advice on best cios much appreciated.
     
  2. natkoden

    natkoden Not a New Member

    Member
    783
    185
    Jul 25, 2006
    Argentina
    I'm currently using d2x v10 beta 52, specifically, ios248 with base 56 to load all my games (except a few, in which case I use 247 base 57)

    My Toshiba HDD formatted to NTFS works flawlessly.

    Download d2x cIOS installer 3.1 and you'll be good to go. It will install d2x v8 final. Remember to install it to slot 248 with base 56 and to slot 247 with base 57.

    Then, you can delete ios 222, 223, 224 and 249 (outdated, useless now)
     
  3. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    thanks mate, I'll give this a go, I already tried installing D2x v8 final, not sure what slot or what base but I'll give this a go.
     
  4. SickPuppy

    SickPuppy New Member

    Member
    1,789
    451
    Jul 29, 2009
    United States
    It is pretty much the standard to install 249 with a base of 56, and install 250 with a base of 57.
     
    Hielkenator likes this.
  5. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    oh? I'll give that a go if the above config does not work.
    Once done, can I delete all the others? (I have 222, 223, 224, 236, 249, 250, 251, 254 and the two new 247, and and 248)

    also does revision matter right now its on default rev21008
     
  6. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    Well i tried installing both suggested and USB loader seems to detect the USB drive but then shows 0 games, even though I formatted to FAT32 and used WiiBackupManager to copy the games over into the correct WBFS folder into split files.
     
  7. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,308
    8,767
    Oct 27, 2002
    France
    Engine room, learning
    verify that the loader settings are correct :

    1. the partition is the correct one :
    Settings > HDD settings > partition : click on the first option if it's not listing the correct partition where your /Wbfs/ folder is located.

    2. You selected the correct source :
    in the top menu, click on the 4th icon and enable "Wii games".
     
  8. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    thanks, yeah I installed D2x v8 then tried d2x v10 and it still didn't work but what happen was I tried a 2TB WD hard drive and it worked.

    The USB stick is listed as working on the wiki site but it just doesn’t work.

    With the sandisk cruzer it was showing if it was NTFS or FAT but it was showing the incorrect size for the disk and not showing up games.

    I installed D2x v10 into 3 slots 249 250 and 251 with 48 49 and 50 i think.
     
  9. SickPuppy

    SickPuppy New Member

    Member
    1,789
    451
    Jul 29, 2009
    United States
    d2x cIOS v8 is the last stable version of the cIOS. Try v8 first, then update to v10 if you want, only after you find out if v8 works.

    IOS249 with a base of 56
    IOS250 with a base of 57
    and IOS251 with a base of 58


    reinstall IOS236 if you deleted that one, that comes in handy for other applications besides backup loaders.
     
  10. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,308
    8,767
    Oct 27, 2002
    France
    Engine room, learning
    I never installed IOS236 and don't know which application besides wad managers which are using it.
    Wad managers can be used without any cIOS now, the 236 is not really needed.
     
  11. Richie
    OP

    Richie Member

    Newcomer
    10
    0
    Jun 30, 2013
    OK thanks, yeah I think I will try v8 because with v10 I am getting an issue with just dance 4 where controller 2-4 turns off constantly.

    Does it matter if I delete the older ones sitting in other slots or will that not effect any thing else?
     
  12. natkoden

    natkoden Not a New Member

    Member
    783
    185
    Jul 25, 2006
    Argentina

    with that game, try to use the cIOS that's using base 57, that would be 250 if you followed SickPuppy's advice.
     
  13. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,308
    8,767
    Oct 27, 2002
    France
    Engine room, learning
    IOS are always loaded one at a time. Having ISO in different slots doesn't affect the currently running application or game.
    You can keep them, they are not a problem unless you really are in need of free space on your NAND (for save games for example).
     
  14. LWares87

    LWares87 GBAtemp Advanced Maniac

    Member
    1,703
    182
    Oct 19, 2008
    this will get you the recommended cIOSs which are supported by every loader (excluding quadforce and DIOS MIOS (Lite)):

    ModMii Download Page 4 (cIOSs and cMIOSs)...

    Select Recommended cIOSs and download

    Copy files to sd:\wad and then install them using either Wad Manager, Multi-Mod Manager or WiiMod with IOS236 selected.
     
  15. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    It still is needed if you want to install fakesigned wads.
     
  16. SickPuppy

    SickPuppy New Member

    Member
    1,789
    451
    Jul 29, 2009
    United States
    You must be thinking of the old days of the patched IOS36.

    I only mentioned IOS236 because I thought everybody still used it, my Wii is still at 3.2 with hbc 1.0.1. so I get a lot of use out of it.
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,308
    8,767
    Oct 27, 2002
    France
    Engine room, learning
    if you are still on 3.2, you don't need IOS236, your IOS36 fakesign bug is not fixed and doesn't need a patch.
    But as you don't have AHB access (AHBPROT) in your HBC version, you need to use wad managers which is using a vulnerable IOS. I understand why you still use it (I'm using cIOS rev17 in slot249 myself when needed)
     
  18. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    Excactly, you need a vulnerable cios to install fakesigned wads.
    This cannot be done with ios58.
    Ios 58 does not have those permissions.
     
  19. LWares87

    LWares87 GBAtemp Advanced Maniac

    Member
    1,703
    182
    Oct 19, 2008
    Multi-Mod Manager has a 'built-in' IOS36/236 installer which could be useful to you.

    You'll need to have either the required wads available on your sd card or have your wii console connected to the internet.